#pragma once

#include <QObject>

#include "WimaAreaData.h"
#include "WimaCorridor.h"

#include "QGeoCoordinate"

class WimaCorridorData : public WimaAreaData
{
    Q_OBJECT

public:
    WimaCorridorData(QObject *parent = nullptr);
    WimaCorridorData(const WimaCorridorData &other, QObject *parent = nullptr);
    WimaCorridorData(const WimaCorridor &other, QObject *parent = nullptr);
    WimaCorridorData &operator=(const WimaCorridorData &other);
    WimaCorridorData &operator=(const WimaCorridor &other);

    QString type() const;
    WimaCorridorData *Clone() const {return new WimaCorridorData(*this);}

    static const char* typeString;


signals:

public slots:

protected:
    void assign(const WimaCorridorData &corridorData);
    void assign(const WimaCorridor &corridor);

private:
};

